Skip to content

Write-offs

GET
/v1/write-off-report-table
curl --request GET \
--url 'https://api-admin.billz.ai/v1/write-off-report-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&page=1&limit=10&currency=UZS' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Required permissions: “Write-offs” report.

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

start_date
string format: date
Example
2026-08-01

Format YYYY-MM-DD, without time

end_date
string format: date
Example
2026-08-31

Format YYYY-MM-DD, without time

shop_ids
Array<string>

An empty value is not replaced with all shops of the company

Example
[
"fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6",
"92302dfb-fa33-4e6a-8d19-87214852b25d"
]
page
integer format: int32
default: 1

Non-numeric → 400 ‘invalid page’

Example
1
limit
integer format: int32
default: 10

Non-numeric → 400 ‘invalid limit’

Example
10
currency
string

Currency of report amounts

Example
UZS
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count
integer format: int32
Items

Report rows; the key starts with a capital letter

Array<object>
nullable
object
write_off_id
string
write_off_external_id
string
write_off_name
string
write_off_reason
string
write_off_type
string
shop_id
string
shop_name
string
created_by_name
string
created_by_id
string
created_at
string
product_id
string
product_name
string
product_sku
string
product_barcode
string
product_measurement_unit_name
string
categories
Array<object>
object
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
product_brand
string
supplier
string
product_is_archived
boolean
description
string
product_attributes
Array<object>
object
product_custom_fields
Array<object>
object
product_supply_price
number
product_retail_price
number
written_off_measurement_value
number
written_off_supply_price_sum
number
written_off_retail_price_sum
number
measurement_unit
object
id
string
name
string
company_id
string
short_name
string
precision
string
Examplegenerated
{
"count": 1,
"Items": [
{
"write_off_id": "example",
"write_off_external_id": "example",
"write_off_name": "example",
"write_off_reason": "example",
"write_off_type": "example",
"shop_id": "example",
"shop_name": "example",
"created_by_name": "example",
"created_by_id": "example",
"created_at": "example",
"product_id": "example",
"product_name": "example",
"product_sku": "example",
"product_barcode": "example",
"product_measurement_unit_name": "example",
"categories": [
{}
],
"level_1": [
"example"
],
"level_2": [
"example"
],
"level_3": [
"example"
],
"level_4": [
"example"
],
"level_5": [
"example"
],
"product_brand": "example",
"supplier": "example",
"product_is_archived": true,
"description": "example",
"product_attributes": [
{}
],
"product_custom_fields": [
{}
],
"product_supply_price": 1,
"product_retail_price": 1,
"written_off_measurement_value": 1,
"written_off_supply_price_sum": 1,
"written_off_retail_price_sum": 1,
"measurement_unit": {
"id": "example",
"name": "example",
"company_id": "example",
"short_name": "example",
"precision": "example"
}
}
]
}